> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List periods

> List periods

### Query parameters

<ParamField query="fiscal_year" type="integer (int32)" />

<ParamField query="status" type="string">
  One of `future`, `open`, `closed`, `locked`.
</ParamField>

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="GlPeriodListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/gl/periods' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "periods": [
      {
        "closed_at": null,
        "closed_by": null,
        "created_at": "string",
        "end_date": "string",
        "fiscal_year": 1,
        "id": "string",
        "locked_at": null,
        "locked_by": null,
        "period_name": "string",
        "period_number": 1,
        "start_date": "string",
        "status": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
